angular.module('beamng.apps')
.directive('cbzBoost', ['$log', function ($log) {
	
	let style = document.createElement('style');
    style.type = 'text/css';
    style.innerHTML = `
      @font-face {
        font-family: 'Hemi';
        src: url('/ui/modules/apps/cbzhemi.ttf') format('truetype');
      }

      .cbzboostt {
        font-family: 'Hemi';
        color: white;
      }


      .cbzboostu {
        font-family: 'Hemi';
        color: red;
      }
	  `;

    return {
      template:
	  `
      <div style="width:100%; height:100%;" layout="column" align="center" class="bngApp" id="cbzBoost">
		<p class="cbzboostt" style="margin-top: -3%; margin-bottom: -10%">{{speed}}</p>
		<p class="cbzboostu" style="margin-top:  4%; margin-bottom: -10%">{{unit}}</p>
	  </div>`,
      replace: true,
      restrict: 'EA',
      link: function (scope, element, attrs) {
        StreamsManager.add(['forcedInductionInfo', 'engineInfo']);
		
		document.getElementsByTagName('head')[0].appendChild(style);
	
	window.setTimeout( function() {
		var doc = document.getElementById('cbzBoost');
		var doc1 = document.getElementById('cbzBoost').getElementsByClassName('cbzboostt');
		var doc2 = document.getElementById('cbzBoost').getElementsByClassName('cbzboostu');
		var h = doc.clientHeight;
		doc1[0].style.fontSize=h*0.64+'px';
		doc2[0].style.fontSize=h*0.30+'px';
	}, 10);
		
		
		
        scope.$on('streamsUpdate', function (event, streams) {
			if (streams.engineInfo != null && streams.forcedInductionInfo != null) {
				        
				scope.math = streams.forcedInductionInfo.boost /10;
				scope.math2 = Math.floor(scope.math *10);
				scope.math3 = scope.math2 / 100;
				scope.speed = scope.math3;
				scope.unit="Bar";
				scope.$digest();
			};
        });

        scope.$on('$destroy', function () {
          StreamsManager.remove(['forcedInductionInfo', 'engineInfo']);
        });
      }
    };
  }]);
