angular.module('beamng.apps')
  .directive('cbzGears', ['$log', function ($log) {
	

	let style = document.createElement('style');
    style.type = 'text/css';
    style.innerHTML = `
      @font-face {
        font-family: 'Hemi';
        src: url('/ui/modules/apps/cbzhemi.ttf') format('truetype');
      }

      .gear-display {
        font-family: 'Hemi';
        color: white;
      }
    `;


    return {
      template:
      `<div style="width:100%; height:100%;">
		<div style="width:100%; height:100%;" layout="column" layout-align="center center" class="bngApp" id="gears">
			<span class="gear-display">{{gear}}</span>
		</div>

	  </div>`,
      replace: true,
      restrict: 'EA',
      link: function (scope, element, attrs) {
		  
		  
		
		
		  
        StreamsManager.add(['electrics', 'engineInfo'])	
		
		document.getElementsByTagName('head')[0].appendChild(style);
	
	window.setTimeout( function() {
		var doc = document.getElementById('gears');
		var h = document.getElementById('gears').clientHeight;
		doc.style.fontSize=h+'px';
	}, 10);
		
		var click_4=localStorage.getItem("gear_store");
		
		function changeBackground_g(){
			if(click_4==0){
				click_4=1;
			}
			else{
				click_4=0;
			}
		}
		
		
		document.getElementById('gears').addEventListener("contextmenu", changeBackground_g);
		
		
		//to set default config remove '//' from the front of line below and choose '1' or '0'

		click_4 = 0; //0-grey background, 1-transparent background
		
		
        scope.$on('streamsUpdate', function (event, streams) {
			if (streams.engineInfo != null && streams.electrics != null) {
				        
				var mGear = streams.engineInfo[5]
					, maxRGears = streams.engineInfo[7]
				if(mGear<0){
					if(maxRGears<-1){
						scope.gear = 'R' + Math.abs(mGear)
					}
					else{
						scope.gear = 'R'
					}
				}
				else if(mGear==0){
					scope.gear = 'N'
				}
				else{
					scope.gear = mGear
				}
				
				
				const docb_g_main = document.getElementById('gears');
				
				if(click_4==0){
					docb_g_main.style.backgroundColor="rgba(0, 0, 0, 0.4)";
					localStorage.setItem("gear_store", 0);
				}
				else{
					docb_g_main.style.backgroundColor="rgba(0, 0, 0, 0.01)";
					localStorage.setItem("gear_store", 1);
				}
				
				scope.$digest()
			}
        })

        scope.$on('$destroy', function () {
          StreamsManager.remove(['electrics', 'engineInfo'])
        })
      }
    }
  }]);